## org.eclipse.datatools.modelbase.sql.query.impl
Class PredicateBasicImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.PredicateBasicImpl

All Implemented Interfaces:
  Predicate, PredicateBasic, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

public class PredicateBasicImpl
extends PredicateImpl
implements PredicateBasic

An implementation of the model object 'SQL Predicate Basic'.

The following features are implemented:

- `Comparison Operator`
- `Right Value Expr`
- `Left Value Expr`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetRightValueExpr(QueryValueExpression newRightValueExpr, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`PredicateComparisonOperator` `getComparisonOperator()`
`QueryValueExpression` `getLeftValueExpr()`
`QueryValueExpression` `getRightValueExpr()`
`void` `setComparisonOperator(PredicateComparisonOperator newComparisonOperator)`
`void` `setLeftValueExpr(QueryValueExpression newLeftValueExpr)`
`void` `setRightValueExpr(QueryValueExpression newRightValueExpr)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setSQL, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getComparisonOperator

    public PredicateComparisonOperator getComparisonOperator()

  Specified by:
    `getComparisonOperator` in interface `PredicateBasic`
  Returns:
    the value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `PredicateBasic.setComparisonOperator(PredicateComparisonOperator)`, `SQLQueryModelPackage.getPredicateBasic_ComparisonOperator()`

### setComparisonOperator

    public void setComparisonOperator(PredicateComparisonOperator newComparisonOperator)

  Specified by:
    `setComparisonOperator` in interface `PredicateBasic`
  Parameters:
    `newComparisonOperator` - the new value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `PredicateBasic.getComparisonOperator()`

### getRightValueExpr

    public QueryValueExpression getRightValueExpr()

  Specified by:
    `getRightValueExpr` in interface `PredicateBasic`
  Returns:
    the value of the 'Right Value Expr' containment reference.
  See Also:
    `PredicateBasic.setRightValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBasic_RightValueExpr()`, `QueryValueExpression.getBasicRight()`

### basicSetRightValueExpr

    public NotificationChain basicSetRightValueExpr(QueryValueExpression newRightValueExpr,
                                                    NotificationChain msgs)

### setRightValueExpr

    public void setRightValueExpr(QueryValueExpression newRightValueExpr)

  Specified by:
    `setRightValueExpr` in interface `PredicateBasic`
  Parameters:
    `newRightValueExpr` - the new value of the 'Right Value Expr' containment reference.
  See Also:
    `PredicateBasic.getRightValueExpr()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Specified by:
    `getLeftValueExpr` in interface `PredicateBasic`
  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `PredicateBasic.setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBasic_LeftValueExpr()`, `QueryValueExpression.getBasicLeft()`

### basicSetLeftValueExpr

    public NotificationChain basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr,
                                                   NotificationChain msgs)

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression newLeftValueExpr)

  Specified by:
    `setLeftValueExpr` in interface `PredicateBasic`
  Parameters:
    `newLeftValueExpr` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `PredicateBasic.getLeftValueExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `PredicateImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `PredicateImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `PredicateImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `PredicateImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredicateImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `PredicateImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `PredicateImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PredicateImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.